SELECT 
	Z.BATCH_SUB_ID, Z.ID, Z.LOGICAL_NAME, Z.PHYSICAL_NAME, Z.MEMO, Z.LINE
	, Z.BATCH_TRAN_PROC, A.PHYSICAL_NAME, A.LOGICAL_NAME
FROM
	WEDGE_BAT_TRAN Z,
	WEDGE_NAME A
WHERE Z.BATCH_TRAN_PROC = A.VALUE(+)
	AND (A.SEARCH_STRING Like 'CONTROL_BREAK_%' OR A.SEARCH_STRING Like 'DBSELECT' Or A.SEARCH_STRING Like 'MERGE')
	AND Z.BATCH_SUB_ID = ?
ORDER BY
	Z.LINE
