SELECT 
	Z.FRAME_ID, Z.HID, Z.ID, Z.LINE, Z.MEMO,
	B.PHYSICAL_NAME, Z.CRULE_ID, Z.CTRAN_ID,
	Z.USER_ERROR,C.PHYSICAL_NAME, Z.ENABLE
FROM
	WEDGE_CS_EXECUTION_D Z,
	WEDGE_CS_EXECUTION_H A,
	WEDGE_CS_HTML_H B,
	WEDGE_CS_HTML_H C
WHERE Z.HID = A.ID(+)
AND    Z.HTML_ID = B.ID(+)
AND     Z.ERROR_HTML_ID = C.ID(+)
AND 	A.FRAME_ID  = ?
ORDER BY
	Z.LINE
